JdiDefaultExecutionControl (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.jshell, package: jdk.jshell.execution, class: JdiDefaultExecutionControl
Keywords: jdk.jshell.execution.JdiDefaultExecutionControl class

Module jdk.jshell
Package jdk.jshell.execution

# Class JdiDefaultExecutionControl

java.lang.Object
jdk.jshell.execution.StreamingExecutionControl
jdk.jshell.execution.JdiExecutionControl
jdk.jshell.execution.JdiDefaultExecutionControl

All Implemented Interfaces:
  `AutoCloseable`, `ExecutionControl`

    public class JdiDefaultExecutionControl
    extends JdiExecutionControl

The implementation of `ExecutionControl` that the JShell-core uses by default. Launches a remote process -- the "remote agent". Interfaces to the remote agent over a socket and via JDI. Designed to work with `RemoteExecutionControl`.

Since:
  9

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface jdk.jshell.spi.ExecutionControl

  `ExecutionControl.ClassBytecodes, ExecutionControl.ClassInstallException, ExecutionControl.EngineTerminationException, ExecutionControl.ExecutionControlException, ExecutionControl.InternalException, ExecutionControl.NotImplementedException, ExecutionControl.ResolutionException, ExecutionControl.RunException, ExecutionControl.StoppedException, ExecutionControl.UserException`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `stop()` | Interrupts a running remote invoke by manipulating remote variables and sending a stop via JDI.

  ### Methods declared in class jdk.jshell.execution.JdiExecutionControl

  `redefine, referenceType, vm`

  ### Methods declared in class jdk.jshell.execution.StreamingExecutionControl

  `close`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface jdk.jshell.spi.ExecutionControl

  `addToClasspath, close, extensionCommand, invoke, load, varValue`

- ## Method Details

  - ### stop

    public void stop() throws ExecutionControl.EngineTerminationException, ExecutionControl.InternalException
    Interrupts a running remote invoke by manipulating remote variables and sending a stop via JDI.
    Throws:
      `ExecutionControl.EngineTerminationException` - the execution engine has terminated
      `ExecutionControl.InternalException` - an internal problem occurred